# okokReports

[**YouTube Video**](https://www.youtube.com/watch?v=aAKUFDSRVKc)

## **Installation Guide**

#### Execute the following SQL code in your database:

```sql
CREATE TABLE `okokreports`(
    `admin_identifier` varchar(255) NOT NULL,
    `responded_reports` varchar(255) NOT NULL DEFAULT 1,
    UNIQUE KEY abc_ndx (admin_identifier)
);
```

If you're using **ESX**, ignore this part, if you're using **QBCore**, go to the `fxmanifest.lua` file and change:

```lua
'@mysql-async/lib/MySQL.lua',
-- '@oxmysql/lib/MySQL.lua',
```

To:

```lua
-- '@mysql-async/lib/MySQL.lua',
'@oxmysql/lib/MySQL.lua',
```

### Set the Discord Webhook URLs (to enable logs)

Navigate to the `sv_utils.lua` file and paste the webhook URL in the lines 16, 18, 20, 22 and 24.

[How to create a Discord Webhook URL](https://ahsda89sgdh18923asd.gitbook.io/main/others/discord-webhook)

### Server artifacts

Make sure your server artifacts version is above the **5181**.

* Windows: <https://runtime.fivem.net/artifacts/fivem/build_server_windows/master/>
* Linux: <https://runtime.fivem.net/artifacts/fivem/build_proot_linux/master/>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.okokscripts.io/scripts/okokreports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
